Index: tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/ReferencerEditor.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/ReferencerEditor.java	(revision 512)
+++ tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/ReferencerEditor.java	(revision 513)
@@ -62,7 +62,7 @@
 import org.txm.functions.referencer.Referencer;
 import org.txm.functions.referencer.Referencer.Line;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.link.ReferencerToConc;
 import org.txm.rcp.editors.TXMEditorPart;
@@ -207,11 +207,11 @@
 		final List<Property> queryprops = propsArea.getProperties();
 		final List<Property> refs = patternArea.getProperties();
 		
-		mess = NLS.bind(Messages.ReferencerEditor_0, 
+		mess = NLS.bind(RCPMessages.ReferencerEditor_0, 
 				new Object[]{query, corpus, queryprops, 
 				refs})+ "\n"; //$NON-NLS-1$
 		
-		System.out.println(NLS.bind(Messages.ReferencerEditor_5, query));
+		System.out.println(NLS.bind(RCPMessages.ReferencerEditor_5, query));
 		JobHandler jobhandler = new JobHandler(mess) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -258,23 +258,23 @@
 					}
 
 					try  {
-						monitor.subTask(Messages.ReferencerEditor_8);
+						monitor.subTask(RCPMessages.ReferencerEditor_8);
 						if (!referencer.getQueryMatches()) {
-							System.out.println(Messages.ReferencerEditor_7);
+							System.out.println(RCPMessages.ReferencerEditor_7);
 							return Status.CANCEL_STATUS;
 						}
 						
 						if (monitor.isCanceled())
 							return Status.CANCEL_STATUS;
 						
-						monitor.subTask(Messages.ReferencerEditor_10);
+						monitor.subTask(RCPMessages.ReferencerEditor_10);
 						if (!referencer.getQueryindexes())
 							return Status.CANCEL_STATUS;
 						
 						if (monitor.isCanceled())
 							return Status.CANCEL_STATUS;
 						
-						monitor.subTask(Messages.ReferencerEditor_12);
+						monitor.subTask(RCPMessages.ReferencerEditor_12);
 						if (!referencer.groupPositionsbyId())
 							return Status.CANCEL_STATUS;
 						
@@ -292,7 +292,7 @@
 					
 					monitor.worked(50);
 
-					monitor.subTask(Messages.ReferencerEditor_13);
+					monitor.subTask(RCPMessages.ReferencerEditor_13);
 					syncExec(new Runnable() {
 						@Override
 						public void run() {
@@ -304,7 +304,7 @@
 							//setPartName(referencer.getName()); //$NON-NLS-1$
 							
 							viewer.getTable().setFocus();
-							System.out.println(NLS.bind(Messages.CreatePartition_5, referencer.getNLines(), referencer.getV()));
+							System.out.println(NLS.bind(RCPMessages.CreatePartition_5, referencer.getNLines(), referencer.getV()));
 						}
 					});
 
@@ -365,7 +365,7 @@
 
 		// [Search]
 		Button go = new Button(paramArea, SWT.PUSH);
-		go.setText(Messages.SEARCH);
+		go.setText(RCPMessages.SEARCH);
 		go.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
 				false, false));
 		Font f = go.getFont();
@@ -389,7 +389,7 @@
 		patternArea = new PropertiesSelector(paramArea, SWT.NONE);
 		patternArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,3,1));
 		patternArea.setLayout(new GridLayout(3, false));
-		patternArea.setText(Messages.ReferencerEditor_6);
+		patternArea.setText(RCPMessages.ReferencerEditor_6);
 
 		//pagination
 		navigationArea = new NavigationWidget(paramArea, SWT.None);
@@ -402,7 +402,7 @@
 
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(Messages.ReferencerEditor_17);
+				StatusLine.setMessage(RCPMessages.ReferencerEditor_17);
 				fillDisplayArea(0, lineperpage);
 				viewer.getTable().select(0);
 				viewer.getTable().showSelection();
@@ -416,7 +416,7 @@
 
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(Messages.ReferencerEditor_19);
+				StatusLine.setMessage(RCPMessages.ReferencerEditor_19);
 				fillDisplayArea(referencer.getNLines()
 						- lineperpage, referencer.getNLines());
 				viewer.getTable().select(0);
@@ -431,7 +431,7 @@
 
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(Messages.ReferencerEditor_21);
+				StatusLine.setMessage(RCPMessages.ReferencerEditor_21);
 				fillDisplayArea(topLine + lineperpage,
 						bottomLine + lineperpage);
 				viewer.getTable().select(0);
@@ -446,7 +446,7 @@
 
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(Messages.ReferencerEditor_23);
+				StatusLine.setMessage(RCPMessages.ReferencerEditor_23);
 				fillDisplayArea(topLine - lineperpage,
 						bottomLine - lineperpage);
 				viewer.getTable().select(0);
@@ -486,7 +486,7 @@
 						.getSelection(), e.y);
 				int col = getPointedColumn(mouseposition);
 				if (col == 1) {
-					StatusLine.setMessage(Messages.ReferencerEditor_25);
+					StatusLine.setMessage(RCPMessages.ReferencerEditor_25);
 					sendSelectionToConc();
 				} else if (col == 2) {
 					//System.out.println("Send to edition ?"); //$NON-NLS-1$
@@ -499,8 +499,8 @@
 		nColumn.pack();
 
 		unitColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
-		unitColumn.setText(Messages.ReferencerEditor_9);
-		unitColumn.setToolTipText(Messages.ReferencerEditor_9);
+		unitColumn.setText(RCPMessages.ReferencerEditor_9);
+		unitColumn.setToolTipText(RCPMessages.ReferencerEditor_9);
 		unitColumn.setWidth(200);
 		unitColumn.addSelectionListener(new SelectionListener() {
 			@Override
@@ -514,8 +514,8 @@
 		});
 
 		freqColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
-		freqColumn.setText(Messages.ReferencerEditor_11);
-		freqColumn.setToolTipText(Messages.ReferencerEditor_11);
+		freqColumn.setText(RCPMessages.ReferencerEditor_11);
+		freqColumn.setToolTipText(RCPMessages.ReferencerEditor_11);
 		freqColumn.setWidth(100);
 		freqColumn.addSelectionListener(new SelectionListener() {
 			@Override
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java	(revision 512)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java	(revision 513)
@@ -35,7 +35,7 @@
 import org.txm.partition.rcp.messages.PartitionUIMessages;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 
 /**
  * Partition preference page.
@@ -76,7 +76,7 @@
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(PartitionDimensionsPreferences.PREFERENCES_NODE));
 		//this.setDescription(Messages.DiagnosticPreferencePage_1);
-		this.setTitle(Messages.DiagnosticPreferencePage_1);
+		this.setTitle(RCPMessages.DiagnosticPreferencePage_1);
 	}
 
 
Index: tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 512)
+++ tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 513)
@@ -109,7 +109,7 @@
 			
 			
 		} catch (Exception e) {
-			System.err.println(org.txm.rcp.Messages.FAILED_TO_SAVE_PREFERENCES + e);
+			System.err.println(org.txm.rcp.RCPMessages.FAILED_TO_SAVE_PREFERENCES + e);
 		}
 		return true;
 	}
Index: tmp/org.txm.index.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.index.core/META-INF/MANIFEST.MF	(revision 512)
+++ tmp/org.txm.index.core/META-INF/MANIFEST.MF	(revision 513)
@@ -14,6 +14,7 @@
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.index.core.functions,
  org.txm.index.core.messages,
+ org.txm.index.core.preferences,
  org.txm.macro.r,
  org.txm.test
 Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.internalview.core/.classpath
===================================================================
--- tmp/org.txm.internalview.core/.classpath	(revision 512)
+++ tmp/org.txm.internalview.core/.classpath	(revision 513)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.searchengine.cqp.rcp/.classpath
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/.classpath	(revision 512)
+++ tmp/org.txm.searchengine.cqp.rcp/.classpath	(revision 513)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/CQPPreferencePage.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/CQPPreferencePage.java	(revision 512)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/CQPPreferencePage.java	(revision 513)
@@ -45,7 +45,7 @@
 import org.osgi.service.prefs.Preferences;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.rcp.Application;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
 import org.txm.searchengine.cqp.CQPPreferences;
@@ -110,38 +110,38 @@
 	public void createFieldEditors() {
 
 		cqi_use_network = new BooleanFieldEditor(CQPPreferences.CQI_NETWORK_MODE,
-				Messages.CQPPreferencePage_1,
+				RCPMessages.CQPPreferencePage_1,
 				BooleanFieldEditor.DEFAULT, getFieldEditorParent());
 		cqi_server_path_to_cqplib = new DirectoryFieldEditor(
-				CQPPreferences.CQI_SERVER_PATH_TO_CQPLIB, Messages.CQPPreferencePage_0,
+				CQPPreferences.CQI_SERVER_PATH_TO_CQPLIB, RCPMessages.CQPPreferencePage_0,
 				getFieldEditorParent());
 		cqi_server_is_remote = new BooleanFieldEditor(CQPPreferences.CQI_SERVER_IS_REMOTE,
-				Messages.CQPPreferencePage_10,
+				RCPMessages.CQPPreferencePage_10,
 				BooleanFieldEditor.DEFAULT, getFieldEditorParent());
 		cqi_server_host = new StringFieldEditor(CQPPreferences.CQI_SERVER_HOST,
-				Messages.CQPPreferencePage_11, getFieldEditorParent());
+				RCPMessages.CQPPreferencePage_11, getFieldEditorParent());
 
 		cqi_server_port = new IntegerFieldEditor(CQPPreferences.CQI_SERVER_PORT,
-				Messages.CQPPreferencePage_12, getFieldEditorParent());
+				RCPMessages.CQPPreferencePage_12, getFieldEditorParent());
 
 		cqi_server_user = new StringFieldEditor(CQPPreferences.CQI_SERVER_LOGIN,
-				Messages.CQPPreferencePage_13, getFieldEditorParent());
+				RCPMessages.CQPPreferencePage_13, getFieldEditorParent());
 
 		cqi_server_password = new StringFieldEditor(CQPPreferences.CQI_SERVER_PASSWORD,
-				Messages.CQPPreferencePage_14, getFieldEditorParent());
+				RCPMessages.CQPPreferencePage_14, getFieldEditorParent());
 
 		cqi_server_path_to_executable = new FileFieldEditor(
-				CQPPreferences.CQI_SERVER_PATH_TO_EXECUTABLE, Messages.CQPPreferencePage_15,
+				CQPPreferences.CQI_SERVER_PATH_TO_EXECUTABLE, RCPMessages.CQPPreferencePage_15,
 				getFieldEditorParent());
 
 //		cqi_server_path_to_registry = new DirectoryFieldEditor(
 //				CQI_SERVER_PATH_TO_REGISTRY, Messages.CQPPreferencePage_16,
 //				getFieldEditorParent());
 		cqi_server_path_to_init_file = new FileFieldEditor(
-				CQPPreferences.CQI_SERVER_PATH_TO_INIT_FILE, Messages.CQPPreferencePage_17,
+				CQPPreferences.CQI_SERVER_PATH_TO_INIT_FILE, RCPMessages.CQPPreferencePage_17,
 				getFieldEditorParent());
 		cqi_server_additional_options = new StringFieldEditor(
-				CQPPreferences.CQI_SERVER_ADDITIONAL_OPTIONS, Messages.CQPPreferencePage_18,
+				CQPPreferences.CQI_SERVER_ADDITIONAL_OPTIONS, RCPMessages.CQPPreferencePage_18,
 				getFieldEditorParent());
 
 		addField(cqi_use_network);
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/rcp/commands/base/CreateSubCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/rcp/commands/base/CreateSubCorpus.java	(revision 512)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/rcp/commands/base/CreateSubCorpus.java	(revision 513)
@@ -41,7 +41,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.Toolbox;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.actions.CreateSubcorpusDialog;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
@@ -69,13 +69,13 @@
 		
 		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
 		if (selection == null) {
-			System.out.println(Messages.CreateSubCorpus_1+HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
+			System.out.println(RCPMessages.CreateSubCorpus_1+HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
 			return null;
 		}
 		Object firstElement = selection.getFirstElement();
 		
 		if (!(firstElement instanceof Corpus)) {
-			System.out.println(Messages.CreateSubCorpus_3+firstElement);
+			System.out.println(RCPMessages.CreateSubCorpus_3+firstElement);
 			return null;
 		}
 		
@@ -86,23 +86,23 @@
 		int code = d.open();
 		if (code == Window.OK) {
 			JobHandler jobhandler = new JobHandler(NLS.bind(
-					Messages.CreateSubCorpus_create, corpus.getName())) {
+					RCPMessages.CreateSubCorpus_create, corpus.getName())) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {		
 					this.runInit(monitor);
 					JobsTimer.start();
 					try {
-						monitor.beginTask(Messages.CreateSubCorpus_begin, 100);
+						monitor.beginTask(RCPMessages.CreateSubCorpus_begin, 100);
 						final Subcorpus subcorpus;
 
 						if (d.isAdvancedSelected() || d.isAssistedSelected()) {
 							Query q = new Query(d.getQuery());
-							System.out.println(NLS.bind(Messages.CreateSubcorpus_9,
+							System.out.println(NLS.bind(RCPMessages.CreateSubcorpus_9,
 								corpus.getName(), q.getQueryString())); 
 							subcorpus = corpus.createSubcorpus(q, d.getName());
 						} 
 						else {
-							System.out.println(NLS.bind(Messages.CreateSubcorpus_7,
+							System.out.println(NLS.bind(RCPMessages.CreateSubcorpus_7,
 							new Object[]{corpus.getName(), d.getStructuralUnit(),
 									d.getStructuralUnitProperty(), d.getValues()}));
 							
@@ -121,15 +121,15 @@
 						if(subcorpus == null)
 						{
 							monitor.done();
-							System.out.println(Messages.CreateSubCorpus_0);
+							System.out.println(RCPMessages.CreateSubCorpus_0);
 							return Status.CANCEL_STATUS;
 						}
 						
-						System.out.println(NLS.bind(Messages.CreateSubcorpus_8
+						System.out.println(NLS.bind(RCPMessages.CreateSubcorpus_8
 								, subcorpus.getName()));
 						monitor.worked(50);
 
-						monitor.subTask(Messages.RefreshingCorporaView);
+						monitor.subTask(RCPMessages.RefreshingCorporaView);
 						syncExec(new Runnable() {
 							@Override
 							public void run() {
@@ -147,9 +147,9 @@
 						Log.severe(e.toString());
 						
 						try {
-							System.out.println(Messages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+							System.out.println(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
 						} catch (Exception e1) {
-							System.out.println(Messages.CreateSubCorpus_2+e1);
+							System.out.println(RCPMessages.CreateSubCorpus_2+e1);
 							org.txm.rcp.utils.Logger.printStackTrace(e1);
 						}
 					} finally {
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/rcp/commands/base/CreatePartition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/rcp/commands/base/CreatePartition.java	(revision 512)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/rcp/commands/base/CreatePartition.java	(revision 513)
@@ -40,7 +40,7 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.actions.CreatePartitionDialog;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
@@ -78,30 +78,30 @@
 		if (code == Window.OK) {
 			try {
 				JobHandler jobhandler = new JobHandler(NLS.bind(
-						Messages.CreatePartition_0, corpus.getName())) {
+						RCPMessages.CreatePartition_0, corpus.getName())) {
 					@Override
 					protected IStatus run(IProgressMonitor monitor) {
 						this.runInit(monitor);
 						try {
 							JobsTimer.start();
 							monitor.beginTask(
-									NLS.bind(Messages.CreatePartition_0,
+									NLS.bind(RCPMessages.CreatePartition_0,
 											corpus.getName()), 100);
 							System.out.println(NLS.bind(
-									Messages.CreatePartition_0,
+									RCPMessages.CreatePartition_0,
 									corpus.getName()));
 							final Partition partition = d.getPartition();
 							if (partition == null) {
 								monitor.done();
-								System.out.println(Messages.CreatePartition_2);
+								System.out.println(RCPMessages.CreatePartition_2);
 								return Status.CANCEL_STATUS;
 							}
 							System.out.println(NLS.bind(
-									Messages.CreatePartition_6,
+									RCPMessages.CreatePartition_6,
 									partition.getNPart()));
 							monitor.worked(95);
 
-							monitor.subTask(Messages.RefreshingCorporaView);
+							monitor.subTask(RCPMessages.RefreshingCorporaView);
 							syncExec(new Runnable() {
 								@Override
 								public void run() {
@@ -122,7 +122,7 @@
 				jobhandler.startJob();
 
 			} catch (Exception e) {
-				System.err.println(NLS.bind(Messages.Error_creating_partition,
+				System.err.println(NLS.bind(RCPMessages.Error_creating_partition,
 						e));
 			}
 		}
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/rcp/commands/base/ExportCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/rcp/commands/base/ExportCorpus.java	(revision 512)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/rcp/commands/base/ExportCorpus.java	(revision 513)
@@ -44,7 +44,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -112,22 +112,22 @@
 			lastopenedfile = filepath;
 			final File outfile = new File(filepath);
 			JobHandler jobhandler = new JobHandler(NLS.bind(
-					Messages.ExportCorpus_3, corpus.getName())) {
+					RCPMessages.ExportCorpus_3, corpus.getName())) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					this.runInit(monitor);
 					try {
 						monitor.beginTask(
-								NLS.bind(Messages.ExportCorpus_3,
+								NLS.bind(RCPMessages.ExportCorpus_3,
 										corpus.getName()), 100);
 						
 
 						if (!corpus.export(outfile, this)) {
 							System.out.println(NLS.bind(
-									Messages.ExportCorpus_0, corpus.getName()));
+									RCPMessages.ExportCorpus_0, corpus.getName()));
 						}
 
-						System.out.println(Messages.bind(Messages.ExportCorpus_4,outfile.getAbsolutePath()));
+						System.out.println(RCPMessages.bind(RCPMessages.ExportCorpus_4,outfile.getAbsolutePath()));
 						monitor.worked(100);
 					} catch (ThreadDeath td) {
 						return Status.CANCEL_STATUS;
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/rcp/commands/base/OpenBiblio.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/rcp/commands/base/OpenBiblio.java	(revision 512)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/rcp/commands/base/OpenBiblio.java	(revision 513)
@@ -38,7 +38,7 @@
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.objects.Text;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.OpenBrowser;
 import org.txm.rcp.editors.TXMBrowser;
 import org.txm.rcp.swt.dialog.ComboDialog;
@@ -79,11 +79,11 @@
 			textids = new ArrayList<String>(corpus.getTextsID());
 			if (textids.size() == 0)
 			{
-				System.out.println(NLS.bind(Messages.OpenBiblio_1, corpus.getName()));
+				System.out.println(NLS.bind(RCPMessages.OpenBiblio_1, corpus.getName()));
 				return null;
 			}
 
-			ComboDialog dialog = new ComboDialog(shell, Messages.OpenBiblio_2, textids, textids.get(0));
+			ComboDialog dialog = new ComboDialog(shell, RCPMessages.OpenBiblio_2, textids, textids.get(0));
 			if (dialog.open() == Window.OK)
 			{
 				String textid = dialog.getSelectedValue();
@@ -109,7 +109,7 @@
 
 		Text text = corpus.getMainCorpus().getText(textid);
 		if (text == null) {
-			System.out.println(NLS.bind(Messages.OpenBiblio_7, textid, corpus.getName()));
+			System.out.println(NLS.bind(RCPMessages.OpenBiblio_7, textid, corpus.getName()));
 			return null;
 		}
 
@@ -129,12 +129,12 @@
 			return null;
 		}
 		if (text.getBiblioPath() == null) {
-			System.out.println(NLS.bind(Messages.OpenBiblio_9, text.getName()));
+			System.out.println(NLS.bind(RCPMessages.OpenBiblio_9, text.getName()));
 			return null;
 		}
 		String url = text.getBiblioPath().toString();
 		if (url.trim().length() == 0) {
-			System.out.println(NLS.bind(Messages.OpenBiblio_9, text.getName()));
+			System.out.println(NLS.bind(RCPMessages.OpenBiblio_9, text.getName()));
 			return null;
 		}
 		TXMBrowser attachedBrowserEditor = OpenBrowser.openEdition(url);
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/rcp/synoptic/commands/OpenEdition.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/rcp/synoptic/commands/OpenEdition.java	(revision 512)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/rcp/synoptic/commands/OpenEdition.java	(revision 513)
@@ -45,7 +45,7 @@
 import org.txm.rcp.synoptic.editor.EditionSelectorDialog;
 import org.txm.rcp.synoptic.editor.SynopticEditionEditor;
 import org.txm.rcp.synoptic.editor.SynopticEditorInput;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Property;
Index: tmp/org.txm.links.rcp/.classpath
===================================================================
--- tmp/org.txm.links.rcp/.classpath	(revision 512)
+++ tmp/org.txm.links.rcp/.classpath	(revision 513)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.links.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 512)
+++ tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 513)
@@ -33,5 +33,6 @@
  org.txm.rcp,
  org.txm.index.rcp,
  org.txm.progression.rcp,
- org.txm.lexicaltable.rcp
+ org.txm.lexicaltable.rcp,
+ org.txm.libs.batik
 Export-Package: org.txm.rcp.commands.link
Index: tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/CooccurrencesToConcordances.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/CooccurrencesToConcordances.java	(revision 512)
+++ tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/CooccurrencesToConcordances.java	(revision 513)
@@ -44,7 +44,7 @@
 import org.txm.cooccurrence.core.functions.Cooccurrence;
 import org.txm.cooccurrence.core.functions.Cooccurrence.CLine;
 import org.txm.cooccurrence.rcp.editors.CooccurrencesEditor;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -130,7 +130,7 @@
 			ConcordanceEditor conceditor = (ConcordanceEditor) page
 					.openEditor(editorInput, ConcordanceEditor.ID); //$NON-NLS-1$
 		} catch (PartInitException e) {
-			System.err.println(NLS.bind(Messages.GetConcordances_4, e));
+			System.err.println("Error: "+e.getLocalizedMessage());
 		}
 	}
 }
Index: tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/IndexToLexicalTable.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/IndexToLexicalTable.java	(revision 512)
+++ tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/IndexToLexicalTable.java	(revision 513)
@@ -48,7 +48,7 @@
 import org.txm.lexicaltable.core.statsengine.r.data.LexicalTableImpl;
 import org.txm.lexicaltable.rcp.editors.LexicalTableEditorInput;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.statsengine.r.core.data.QuantitativeDataStructureImpl;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
@@ -95,18 +95,18 @@
 
 		if (!voc.isComputedWithPartition()) {
 			
-			System.out.println(Messages.IndexToLexicalTable_0);
-			StatusLine.setMessage(Messages.IndexToLexicalTable_0);
+			System.out.println(RCPMessages.IndexToLexicalTable_0);
+			StatusLine.setMessage(RCPMessages.IndexToLexicalTable_0);
 			return false;
 		}
 
-		System.out.println(Messages.ComputeLexicalTable_3);
+		System.out.println(RCPMessages.ComputeLexicalTable_3);
 		ArrayList<String> choices = new ArrayList<String>();
-		choices.add(Messages.ComputeLexicalTable_16);
-		choices.add(Messages.ComputeLexicalTable_12);
+		choices.add(RCPMessages.ComputeLexicalTable_16);
+		choices.add(RCPMessages.ComputeLexicalTable_12);
 		ListSelectionDialog dialog = new ListSelectionDialog(shell, 
 				choices, new ArrayContentProvider(), new LabelProvider(), 
-				Messages.ComputeLexicalTable_13);
+				RCPMessages.ComputeLexicalTable_13);
 		
 		int ret = dialog.open();
 		//System.out.println("ret= "+ret);
@@ -130,7 +130,7 @@
 					.getActiveWorkbenchWindow();
 			IWorkbenchPage page = window.getActivePage();
 			LexicalTableEditorInput editorInput = new LexicalTableEditorInput(table);
-			StatusLine.setMessage(Messages.ComputeLexicalTable_10);
+			StatusLine.setMessage(RCPMessages.ComputeLexicalTable_10);
 			page.openEditor(editorInput, "org.txm.rcp.editors.lexicaltable.LexicalTableEditor"); //$NON-NLS-1$
 		} catch (PartInitException e) {
 			org.txm.rcp.utils.Logger.printStackTrace(e);
Index: tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/TextToConcordance.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/TextToConcordance.java	(revision 512)
+++ tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/TextToConcordance.java	(revision 513)
@@ -38,7 +38,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.IEditionEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -86,7 +86,7 @@
 				ConcordanceEditor conceditor = (ConcordanceEditor) page
 						.openEditor(editorInput, "ConcordanceEditor"); //$NON-NLS-1$
 			} catch (PartInitException e) {
-				System.err.println(NLS.bind(Messages.GetConcordances_4, e));
+				System.err.println("Error: "+e.getLocalizedMessage());
 			}
 		}
 		return null;
Index: tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/ConcordanceToIndex.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/ConcordanceToIndex.java	(revision 512)
+++ tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/ConcordanceToIndex.java	(revision 513)
@@ -41,7 +41,7 @@
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
 import org.txm.index.core.functions.Index;
 import org.txm.index.rcp.editors.IndexEditor;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -90,7 +90,7 @@
 			voceditor.setFocus(query);
 			voceditor.computeResult();
 		} catch (PartInitException e) {
-			System.err.println(NLS.bind(Messages.GetConcordances_4, e));
+			System.err.println("Error: "+e.getLocalizedMessage());
 		}
 
 		return null;
Index: tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/IndexToConcordance.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/IndexToConcordance.java	(revision 512)
+++ tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/IndexToConcordance.java	(revision 513)
@@ -42,7 +42,7 @@
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
 import org.txm.index.core.functions.Line;
 import org.txm.index.rcp.editors.IndexEditor;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -84,7 +84,7 @@
 			ConcordanceEditor conceditor = (ConcordanceEditor) page
 					.openEditor(editorInput, ConcordanceEditor.ID); //$NON-NLS-1$
 		} catch (PartInitException e) {
-			System.err.println(NLS.bind(Messages.GetConcordances_4, e));
+			System.err.println("Error: "+e.getLocalizedMessage());
 		}
 
 		return null;
@@ -145,7 +145,7 @@
 			ConcordanceEditor conceditor = (ConcordanceEditor) page
 					.openEditor(editorInput, ConcordanceEditor.ID); //$NON-NLS-1$
 		} catch (PartInitException e) {
-			System.err.println(NLS.bind(Messages.GetConcordances_4, e));
+			System.err.println("Error: "+e.getLocalizedMessage());
 		}
 
 		return null;
